## org.exist.xquery
Interface NodeTest

All Known Implementing Classes:
  AnyNodeTest, TypeTest

public interface NodeTest

Method Summary
`QName` `getName()`
`int` `getType()`
`boolean` `isWildcardTest()`
`boolean` `matches(org.w3c.dom.Node node)`
`boolean` `matches(NodeProxy proxy)`
`void` `setType(int nodeType)`

Method Detail

### setType

    public void setType(int nodeType)

### getType

    public int getType()

### matches

    public boolean matches(NodeProxy proxy)

### matches

    public boolean matches(org.w3c.dom.Node node)

### isWildcardTest

    public boolean isWildcardTest()

### getName

    public QName getName()

Copyright (C) Wolfgang Meier. All rights reserved.